{ config, pkgs, lib, ... }:
{

  # TODO: gamemode?

	#services.joycond.enable = true;

  environment.systemPackages = [
    (pkgs.lutris.override {
      extraPkgs = pkgs: [
        pkgs.wineWowPackages.staging
        pkgs.winetricks
        pkgs.pixman
        pkgs.libjpeg
        pkgs.gnome.zenity
      ];
      extraLibraries =  pkgs: [
      ];
    })

    # ensure icons appear
    pkgs.gnome3.adwaita-icon-theme
    pkgs.hicolor-icon-theme #

    # Needed for some installers like League of Legends
    pkgs.openssl
    pkgs.gnome.zenity

  ];

	hardware.opengl.enable = true;
	hardware.opengl.driSupport = true;
	hardware.opengl.driSupport32Bit = true;
	hardware.opengl.extraPackages32 = with pkgs.pkgsi686Linux; [ libva ];

}
