{ config, pkgs, lib, ... }:
let
  yagcd = pkgs.fetchzip {
    url = "http://hitmen.c02.at/files/yagcd/yagcd.tar.gz";
    hash = "sha256-6/0oh7Xvbq1eAk2fCtKU+IXm0FbmgXIwAUjXuUKicus=";
    stripRoot = false;
  };
in
{
  services.docs-to-host.docs = [{
    desc    = "Yet another Gamecube Documentation";
    dirname = "yagcd";
    path    = "${yagcd}/yagcd";
  }];

  /** /
  services.nginx.virtualHosts.${mkDomain "yagcd"} = {
    forceSSL   = true; # addSSL = true;
    enableACME = true; #useACMEHost = acmeDomain;
    root       = yagcd;
  };
  /**/
}
