{ config, pkgs, lib, mkDomain, ... }:
{
  # Jitsi meet

  services.jitsi-meet = {
    #enable = true;
    hostName = mkDomain "jitsi-meet";
    config = {
      # https://github.com/jitsi/jitsi-meet/blob/master/config.js
      #enableWelcomePage = false;
      defaultLang = "nb";
    };
    interfaceConfig = {
      # https://github.com/jitsi/jitsi-meet/blob/master/interface_config.js"
      APP_NAME = "Spis meg";

    #  SHOW_JITSI_WATERMARK = false;
    #  SHOW_WATERMARK_FOR_GUESTS = false;
    };
    jibri.enable = false; # record in a headless chrome instance
    nginx.enable = true; # force ssl, acme, lots of routing rules
  };
}
