{ config, pkgs, lib, inputs, mkDomain, ... }:
{

  # plex admin web ui
  # previously known as plexpy

  services.tautulli.enable = true;
  services.tautulli.port = 8474;

  services.nginx.virtualHosts.${mkDomain "tautulli"} = lib.mkIf config.services.tautulli.enable {
    forceSSL = true; # addSSL = true;
    enableACME = true; #useACMEHost = acmeDomain;
    locations."/" = {
      proxyPass = "http://127.0.0.1:${toString config.services.tautulli.port}";
      proxyWebsockets = true;
    };
  };

}
