{ config, pkgs, lib, ... }:
{
  # https://search.nixos.org/options?query=services.zfs

  imports = [ ./common-zfs.nix ];

  # non legacy-mount
  systemd.services.zfs-mount.enable = true; # default
  boot.zfs.extraPools = [ "Panorama" ]; # import on boot

  # todo: tailscale nfs mount

  # TODO: zrepl pull
  # https://search.nixos.org/options?channel=unstable&query=services.zrepl
  # https://github.com/NixOS/infra/blob/8be4953d68ce81455787cd60e82086022855a3c2/build/haumea/zrepl.nix#L20

  # TODO: rsync pull + snapshot?
}
