{ config, pkgs, lib, ... }:

# TODO: use tailscale if enabled

{
  # TODO: wireguard
  #boot.kernelParams = [ "nfs.nfs4_disable_idmapping=0" "nfsd.nfs4_disable_idmapping=0" ];

  # https://wiki.nixos.org/wiki/NFS

  fileSystems = let
    mkMount = mountpoint: server: subdir: {
      "${mountpoint}${subdir}" = {
        device = "${server}${subdir}";
        fsType = "nfs";
        #options = [ "nfsvers=4.2" ];
      };
    };
    # TODO: combine nameValuePair and listToAttrs
    joinSets = sets: builtins.foldl' (l: r: l // r) {} sets;
  # TODO: space in dirname is not supported
  in joinSets (map (mkMount "/mnt/meconium" "192.168.1.8:/Meconium" ) [
      ""
      "/backups"
      "/backups/rocm"
      "/beets_music"
      #"/garage"
      #"/garage/gunktrunk"
    ]);

}
