{ pkgs, ... }:
{
  #home.shellAliases.atom = "atom --no-sandbox";
  #home.shellAliases.atom = "atom --disable-gpu --in-process-gpu --no-sandbox";
  home.shellAliases.atom = "pulsar";

  home.packages = with pkgs; [
    #atom
    pulsar

    nodePackages.bash-language-server
    # TODO: ensure python-lsp-server?

  ];

  home.file.".pulsar/config.cson".source = ./config.cson;
  home.file.".pulsar/keymap.cson".source = ./keymap.cson;
  home.file.".pulsar/snippets.cson".source = ./snippets.cson;
}
