{ pkgs, ... }:
{
  home.packages = with pkgs; [
    tmate
  ];

  # generated with `tmate-client-config` on noximilien
  home.file.".tmate.conf".text = ''
    set -g tmate-server-host "noximilien.pbsds.net"
    set -g tmate-server-port 42244
    set -g tmate-server-ed25519-fingerprint "SHA256:/e9EGMfvC+8gbaNiCoFbl87Pps7e/V+2pOSjEpMDdfA"
    set -g tmate-server-rsa-fingerprint "SHA256:UzoAW9TynFQZDINgDiS+G06SmYcIX/ObI1zL19PpKEE"
  '';
}
